﻿/*
 *
 *	Author:		Sky Cat aka Daft
 *	Date:		09-Oct-2012
 *
 *
 *	Description:	Данный плагин выводит IP сервера и выводит в log сервера.
 *			        Тестировался на локальном сервере / Хостинге
 *
 *	Cvars:
 *			ips_hud		Включать ли HUD информирование? 1 - да | 2 - да
 *			ips_color   Включать ли цветное сообщение? 1 - да | 2 - нет
 *			ips_chat    Включать ли обычным сообщение? 1 - дв | 2 - нет 
 *          ips_log     Записывать ли логи обращение к /ip?
 *  
 * Настройка:
 *
 *          #define HUD		0, 255, 255, -1.0, 0.20, 1, 0.0, 0.0, 0.1, 20.0   
 *          В данной строчке меняется координаты и цвет HUD сообщения
 * 
 *
 * Рекомендуется:
 *     
 *          ips_log оставить включенным!
 *
 */

#include <amxmodx>
#include <colorchat2>

new gp_Hudinfo, gp_Colorinfo, gp_Chatinfo, gp_Loginfo

#define PLUGIN "Show Ip"
#define PLUGIN_VERSION "2.0p"
#define PLUGIN_AUTHOR "Sky Cat"

#define HUD		0, 255, 255, -1.0, 0.20, 1, 0.0, 0.0, 0.1, 20.0

public plugin_init() 
{
	register_plugin(PLUGIN, PLUGIN_VERSION, PLUGIN_AUTHOR)
	
	register_clcmd("say /ip", "show_ip")
	register_clcmd("say_team /ip", "show_ip")
	register_clcmd("ip", "show_ip")
	
	gp_Hudinfo   = register_cvar("ips_hud", "2")
	gp_Colorinfo = register_cvar("ips_color", "1")
	gp_Chatinfo  = register_cvar("ips_chat", "2")
	gp_Loginfo   = register_cvar("ips_log", "1")
}

public show_ip(id)
{
	new ip[33], user[32]
	get_user_ip(0, ip, 32, 0)
	get_user_name(id, user, 31)
	
           if(get_pcvar_num(gp_Colorinfo) == 1) 
    {
	ColorChat(id, BLUE, "^x04IP:^x01 %s", ip)
	}
	else
	       {
	       }
	
           if(get_pcvar_num(gp_Hudinfo) == 1)
	{
	set_hudmessage(HUD)
	show_hudmessage(id, "IP: %s", ip)
	}
	else
	        {
	        }
 	
           if(get_pcvar_num(gp_Chatinfo) == 1)
	{
	client_print(id, print_chat, "IP: %s", ip)
	}
	else
	        {
	        }
           if(get_pcvar_num(gp_Loginfo) == 1)
{
	log_amx("Игрок %s набрал в чате /ip", user)
}	
    else
            {
            }
}